Bug 900564 (JBPAPP6-1475) - Wrong format of IPv6 addresses in log entries
Summary: Wrong format of IPv6 addresses in log entries
Keywords:
Status: VERIFIED
Alias: JBPAPP6-1475
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: IPv6 support
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: DR13
: EAP 6.4.0
Assignee: Emmanuel Hugonnet (ehsavoie)
QA Contact: Petr Kremensky
URL: http://jira.jboss.org/jira/browse/JBP...
Whiteboard:
Depends On:
Blocks: JBPAPP6-1377
TreeView+ depends on / blocked
 
Reported: 2012-05-31 13:58 UTC by Jitka Kozana
Modified: 2019-03-19 21:36 UTC (History)
2 users (show)

Doc Type: Bug Fix
Doc Text:
Logged IPv6 addresses in previous releases of JBoss EAP 6, were not wrapped in square brackets as required. In this release, the handling of IPv6 addresses has been addressed and they are bracketed in logs as expected.
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPAPP6-1475 Minor Closed Wrong format of IPv6 addresses in log entries 2017-06-16 11:49:23 UTC
Red Hat Bugzilla 1258298 None None None Never
JBoss Issue Tracker WFCORE-439 Minor Closed Wrong format of IPv6 addresses in log entries 2017-06-16 11:49:23 UTC

Internal Links: 1258298

Description Jitka Kozana 2012-05-31 13:58:53 UTC
Affects: Release Notes
project_key: JBPAPP6

IPv6 addresses in log files are in a wrong format, the [ ] are missing:
{noformat}
09:18:44,203 INFO  [org.jboss.as] (Controller Boot Thread) JBAS015951: Admin console listening on http://2620:52:0:105f::ffff:2:9990
{noformat}
It should be:
{noformat}
http://[2620:52:0:105f::ffff:2]:9990 {noformat}

Comment 1 Pavel Janousek 2012-05-31 14:04:55 UTC
Link: Added: This issue is related to JBPAPP-7470


Comment 2 Rajesh Rajasekaran 2012-06-08 21:00:25 UTC
Link: Removed: This issue is related to JBPAPP-7470 


Comment 3 Rajesh Rajasekaran 2012-06-08 21:02:59 UTC
Link: Added: This issue is a dependency of JBPAPP-9320


Comment 4 Misty Stanley-Jones 2012-06-12 08:52:19 UTC
Release Notes Docs Status: Added: Documented as Known Issue
Release Notes Text: Added: IPv6 addresses should be formatted with square brackets ([ and ]) around them, such as in <code>http://[2620:52:0:105f::ffff:2]:9990</code>. The brackets are missing in the log files for JBoss Enterprise Application Platform 6. This issue is scheduled to be fixed in a future release.
Affects: Added: Release Notes


Comment 5 Dana Mison 2012-10-03 05:35:11 UTC
Release Notes Text: Removed: IPv6 addresses should be formatted with square brackets ([ and ]) around them, such as in <code>http://[2620:52:0:105f::ffff:2]:9990</code>. The brackets are missing in the log files for JBoss Enterprise Application Platform 6. This issue is scheduled to be fixed in a future release. Added: IPv6 addresses should be formatted with square brackets ({{[}} and {{]}}) around them, such as in {{http://[2620:52:0:105f::ffff:2]:9990}}. The brackets are missing in the log files for JBoss Enterprise Application Platform 6. This issue is scheduled to be fixed in a future release.


Comment 6 Dana Mison 2012-10-03 05:35:44 UTC
Release Notes Text: Removed: IPv6 addresses should be formatted with square brackets ({{[}} and {{]}}) around them, such as in {{http://[2620:52:0:105f::ffff:2]:9990}}. The brackets are missing in the log files for JBoss Enterprise Application Platform 6. This issue is scheduled to be fixed in a future release. Added: IPv6 addresses should be formatted with square brackets ([ and ]) around them, such as in http://[2620:52:0:105f::ffff:2]:9990. The brackets are missing in the log files for JBoss Enterprise Application Platform 6. This issue is scheduled to be fixed in a future release.


Comment 7 Dana Mison 2012-10-03 05:38:19 UTC
Writer: Added: mistysj


Comment 8 Dana Mison 2012-10-29 00:56:15 UTC
Release Notes Text: Removed: IPv6 addresses should be formatted with square brackets ([ and ]) around them, such as in http://[2620:52:0:105f::ffff:2]:9990. The brackets are missing in the log files for JBoss Enterprise Application Platform 6. This issue is scheduled to be fixed in a future release. Added: IPv6 addresses should be formatted with square brackets ([ and ]) around them, such as in `http://[2620:52:0:105f::ffff:2]:9990`. The brackets are missing in the log files for JBoss Enterprise Application Platform 6. This issue is scheduled to be fixed in a future release.


Comment 9 Anne-Louise Tangring 2012-11-13 20:59:23 UTC
Release Notes Docs Status: Removed: Documented as Known Issue 
Writer: Removed: mistysj 
Release Notes Text: Removed: IPv6 addresses should be formatted with square brackets ([ and ]) around them, such as in `http://[2620:52:0:105f::ffff:2]:9990`. The brackets are missing in the log files for JBoss Enterprise Application Platform 6. This issue is scheduled to be fixed in a future release. 
Docs QE Status: Removed: NEW 


Comment 12 Petr Kremensky 2014-07-21 05:52:11 UTC
Assigning to Brian since there is no default IPv6 support contact.

@Brian, can you please review/re-assing, thanks.

Comment 14 JBoss JIRA Server 2014-12-02 17:29:19 UTC
Emmanuel Hugonnet <ehugonne@redhat.com> updated the status of jira WFCORE-439 to Coding In Progress

Comment 15 Emmanuel Hugonnet (ehsavoie) 2014-12-02 17:59:07 UTC
Upstream PR: https://github.com/wildfly/wildfly-core/pull/370
PR: https://github.com/jbossas/jboss-eap/pull/2109

Comment 16 Petr Kremensky 2014-12-10 12:57:41 UTC
Verified on EAP 6.4.0.DR13


Note You need to log in before you can comment on or make changes to this bug.